Enectiva REST API - Librarian
Home
EnectivaUser ManualEnerfis
Home
EnectivaUser ManualEnerfis
  1. Data points to Enectiva
  • Introduction
  • Access tokens
    • Create a new access token
      POST
  • Data points from Enectiva
    • List data points of a data series
      GET
  • Deltas
    • Introduction to Deltas
    • List monthly deltas of an entity
      GET
    • List monthly deltas of a meter
      GET
    • List monthly deltas of a virtual meter
      GET
  • Data points to Enectiva
    • Latest data point
      GET
    • Create a new data point
      POST
    • Delete a data point by ID
      DELETE
    • Delete a data point by time
      DELETE
  • Profiles to Enectiva
    • Latest profile
      GET
    • Create a new/update an existing profile
      POST
    • Delete a profile by ID
      DELETE
    • Delete a profile by time range
      DELETE
  • Readings to Enectiva
    • Latest reading
      GET
    • Create a new reading
      POST
    • Delete a reading by ID
      DELETE
    • Delete a reading by time
      DELETE
  • Readings from Enectiva
    • List readings of a meter
      GET
  • Entities from Enectiva
    • Entity
      GET
    • List entities
      GET
  • Meters from Enectiva
    • List meters
    • Meter
  • Received energy invoices
    • Create a new invoice
  • Profiles from Enectiva
    • List profiles of a meter
  1. Data points to Enectiva

Latest data point

GET
https://api.enectiva.cz/import/data_points/{customerId}/{importId}/{suit}/latest
Last modified:2026-06-30 18:46:51
Latest data point endpoint is an equivalent to latest reading endpoint with analogous semantics.

Request

Authorization
JWT Bearer
Add the parameter
Authorization
to Headers
Example:
Authorization: ********************
or
Path Params

Header Params

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --globoff 'https://api.enectiva.cz/import/data_points/{{customerId}}/{{importId}}/{{suit}}/latest' \
--header 'Accept: application/vnd.api+json' \
--header 'Authorization: Bearer <token>'

Responses

🟢200OK
application/json
OK
Bodyapplication/json

Example
{
    "data": {
        "id": 1,
        "attributes": {
            "time": "2016-01-07T05:23:41+01:00",
            "value": 550011.34,
            "import_id": "temp_01",
            "customer_uuid": "11e7e767-6f74-4994-b607-158ff7f7445e",
            "sender": "test_script_01",
            "suit": "default"
        },
        "type": "data_points"
    }
}
🟠401Unauthorized
🟠404Record Not Found
🟠406Not Acceptable
🟠429Too Many Requests
🔴500Server Error
Modified at 2026-06-30 18:46:51
Previous
List monthly deltas of a virtual meter
Next
Create a new data point
Built with